DSXFR_REGISTER_READ_FUNC(3)

FUNCTION
dsxfr_register_read_func - Register callback for new "multi_array" data.

SYNOPSIS
#include <karma_dsxfr.h>

void dsxfr_register_read_func

(void (*read_func) ())

DESCRIPTION
This routine will register a function which is to be called when new data arrives on a "multi_array" connection.

read_func
    A pointer to the function. The prototype function is <-dsxfr_PROTO_read_func->.

RETURN VALUE
Nothing.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/